/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.adapter;

import java.util.ArrayList;
import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.widget.ArrayAdapter;

/**
 * This class is not used currently, but keep it for time being,
 * as we may use it in PlaylistFragment.
 *
 * @param <T>
 */
public abstract class U1Adapter<T> extends ArrayAdapter<T>
{
	protected ArrayList<T> mItems;

	protected LayoutInflater inflater;
	
	//protected U1ImageDownloader mImageDownloader = new U1ImageDownloader();

	public U1Adapter(Context context, List<T> objects) {
		super(context, 0);
		this.mItems = (ArrayList<T>) objects;
		this.inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	}

	@Override
	public int getCount() {
		return mItems == null ? 0 : mItems.size();
	}

	@Override
	public T getItem(int position) {
		return mItems.get(position);
	}

	@Override
	public void clear() {
		super.clear();
		notifyDataSetChanged();
	}
	
	public ArrayList<T> getData() {
		return mItems;
	}

	public void setData(ArrayList<T> items) {
		this.mItems = items;
		notifyDataSetChanged();
	}
}
