/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.adapter.holder;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.ubuntuone.android.music.R;
import com.ubuntuone.android.music.util.U1ImageDownloader;

public class NowPlayingViewHolder
{
	public View nowPlaying;
	public ImageView albumArt;
	public TextView songTitle;
	public TextView songArtist;
	
	public NowPlayingViewHolder(View contentView) {
		nowPlaying = contentView;
		albumArt = (ImageView) contentView.findViewById(R.id.ab_album_art);
		songTitle = (TextView) contentView.findViewById(R.id.ab_song);
		songArtist = (TextView) contentView.findViewById(R.id.ab_artist);
	}
	
	public void bindView(String title, String artist, String albumId,
			U1ImageDownloader imageDownloader) {
		songTitle.setText(title);
		songArtist.setText(artist);
		if (albumId != null) {
			imageDownloader.getArt(albumId, albumArt);
		}
		nowPlaying.setVisibility(title != null ? View.VISIBLE : View.INVISIBLE);
	}
}
