/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.receiver;

import static com.ubuntuone.android.music.util.LogUtils.makeLogTag;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.KeyEvent;

import com.ubuntuone.android.music.service.MusicService;

public class MediaButtonBroadcastReceiver extends BroadcastReceiver
{
	private static final String TAG = makeLogTag(MediaButtonBroadcastReceiver.class);
	
	@Override
	public void onReceive(Context context, Intent intent) {
		KeyEvent event = intent.getParcelableExtra(Intent.EXTRA_KEY_EVENT);
		Log.i(TAG, "Media Button broadcast received: " + event);
		
		Intent serviceIntent = new Intent(context, MusicService.class);
		serviceIntent.putExtra(Intent.EXTRA_KEY_EVENT, event);
		context.startService(serviceIntent);
		
		try {
			// XXX Is this really necessary?
			abortBroadcast();
		} catch (Exception e) {
			// Ignored.
		}
	}
}
