/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.ui;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.TextView;

import com.actionbarsherlock.app.SherlockListFragment;
import com.ubuntuone.android.music.R;

public abstract class ListLoadingFragment extends SherlockListFragment
{
	protected TextView mHeader;
	protected ListView mListView;
	protected TextView mEmptyView;
	protected View mLoadingWrapper;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		View contentView = inflater.inflate(getFragmentLayoutResId(), null);
		
		mHeader = (TextView) contentView.findViewById(R.id.header);
		if (onGetHeaderResId() != 0) {
			mHeader.setText(getText(onGetHeaderResId()).toString().toUpperCase());
		}
		mListView = (ListView) contentView.findViewById(android.R.id.list);
		mEmptyView = (TextView) contentView.findViewById(android.R.id.empty);
		//mEmptyView.setText(getEmptyListResId());
		mLoadingWrapper = contentView.findViewById(R.id.loading_wrapper);
		TextView loadingView = (TextView) contentView
				.findViewById(R.id.loading);
		loadingView.setText(getLoadingListResId());

		return contentView;
	}

	public void setIsLoading(boolean isLoading) {
		mListView.setVisibility(isLoading ? View.GONE : View.VISIBLE);
		mLoadingWrapper.setVisibility(isLoading ? View.VISIBLE : View.GONE);
		if (!isLoading) {
			if (mListView.getEmptyView() == null) {
				setUpEmptyView();
			}
		}
	}

	private void setUpEmptyView() {
		//mListView.setEmptyView(mEmptyView);
	}

	protected int getLoaderId() {
		return onGetLoaderId();
	}

	private int getFragmentLayoutResId() {
		return onGetFragmentLayoutResId();
	}

	private int getEmptyListResId() {
		return onGetEmptyListResId();
	}

	private int getLoadingListResId() {
		return onGetLoadingListResId();
	}
	
	public abstract int onGetHeaderResId();

	public abstract int onGetLoaderId();

	public abstract int onGetFragmentLayoutResId();

	public abstract int onGetEmptyListResId();

	public abstract int onGetLoadingListResId();
}
