package com.ubuntuone.android.music.provider;

import com.ubuntuone.android.music.MockData;

import android.database.sqlite.SQLiteDatabase;
import android.test.IsolatedContext;
import android.test.ProviderTestCase2;
import android.test.mock.MockContentResolver;

public abstract class MusicProviderMockDataTestBase extends ProviderTestCase2<MusicProvider> {
	
	IsolatedContext mContext;
	MockContentResolver mResolver;
	
	SQLiteDatabase db;

	public MusicProviderMockDataTestBase(Class<MusicProvider> providerClass,
			String providerAuthority) {
		super(providerClass, providerAuthority);
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		mContext = getMockContext();
		mResolver = getMockContentResolver();
		db = getProvider().getOpenHelperForTest().getWritableDatabase();
		MockData.setUp(db);
	}

	@Override
	protected void tearDown() throws Exception {
		MockData.tearDown(db);
		db.close();
		super.tearDown();
	}
}
