package com.ubuntuone.android.music.util;

import com.ubuntuone.api.music.model.U1Song;

import junit.framework.TestCase;

public class FileUtilitiesTest extends TestCase
{

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testSanitize() {
		final String badString = "foo/\\bar..:\\baz?*<>";
		final String expected = "foo--bar---baz----"; 
		final String sanitized = FileUtilities.sanitize(badString);
		assertEquals("String not sanitized properly.", expected, sanitized);
	}

	public void testGetSongPath() {
		final String id ="i6aVaQDYSS6Pal0GbO4MAw";
		final String title = "Break The Noize & The Autobots Remix";
		final String album = "Dub/step";
		final String albumArtist = "Various";
		final String artist = "To The :*Stars";
		final String artistId = "artist-id";
		final String albumId = HashUtils.md5(title+artist);
		final String genre = "Dubstep";
		final Integer year = 2012;
		final Integer discNumber = 1;
		final Integer track = 9;
		final Integer duration = 215;
		final Integer size = 3398426;
		final Integer bitRate = 256;
		final String suffix = "mp3";
		final String contentType = "audio/mpeg";
		final String songUrl = "https://one.ubuntu.com" +
				"/api/music/2.0/songs/" + id + "/";
		final String songArtUrl = "https://one.ubuntu.com" +
				"/api/music/2.0/albums/" + albumId + "/art/";
		final String songStreamUrl = "https://streaming.one.ubuntu.com" +
				"/api/music/2.0/songs/" + id;
		
		final U1Song u1Song = new U1Song(id, songUrl, albumId, albumArtist,
				album, songArtUrl, genre, year, discNumber, track,
				duration, size, bitRate, artist, artistId, title, suffix,
				contentType, songStreamUrl, null);
		
		final String expected = "/To The --Stars/Dub-step/Break The Noize & The Autobots Remix.mp3";
		final String path = FileUtilities.getSongPath(u1Song);
		
		assertEquals("Song path is incorrect.", expected, path);
	}

}
